Subject: [bug#55231] [PATCH v1] initrd: Allow extra search paths with ‘initrd-extra-module-paths’

From: Morgan Arnold <[email-masked]>
Date: Sun, 16 Feb 2025 09:19:24 +0000

Hi Maxim,

> That's probably the GCC implicitly added by gnu-build-system, which is
> listed in the %final-inputs variable.

I did figure out that this was the GCC implicitly added by `gnu-build-system`, although unfortunately examining this more carefully didn't help me a whole lot with understanding why it seemed to be non-substitutable. 

> I'm not sure what's wrong, but I think we could start by investigating
> why this changes causes 29 new failures when running:

I accidentally added an extra closing parenthesis to the changed line in `derivation`, but didn't bother submitting an updated patch set because even with that typo fixed, the change still didn't seem to work. You may have noticed and fixed this yourself. I had trouble running the test suite while working on the changes, as I was away from home and my laptop seemed to be somewhat underpowered for the purpose. I'm back at home with access to my PC now, so I'll try to have a look at why the tests are failing.

Best,

Morgan